package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFC14Response {

    @Parameter(name = "BodyDoKonceMesice")
    Long bodyDoKonceMesice();

    @Parameter(name = "CelkovyAktualniPocetBodu")
    Long celkovyAktualniPocetBodu();

    @Parameter(name = "CelkovyAktualniPocetOdmen")
    Double celkovyAktualniPocetOdmen();

    @Parameter(name = "Data")
    java.util.List<MWFC14Data> data();

    @Parameter(name = "DatumDalsihoVypisu")
    java.util.Date datumDalsihoVypisu();

    @Parameter(name = "OdmenyOdVydaniKarty")
    Double odmenyOdVydaniKarty();

    @Parameter(name = "OdmenyOdZacatkuRoku")
    Double odmenyOdZacatkuRoku();

    @Parameter(name = "Pocet")
    Long pocet();

}